POV-Ray : Newsgroups : povray.unix : SciTE on Ubuntu 14.04 for POV-Ray editing Server Time: 14 Dec 2018 11:11:06 GMT
  SciTE on Ubuntu 14.04 for POV-Ray editing (Message 1 to 1 of 1)  
From: Jaime Vives Piqueres
Subject: SciTE on Ubuntu 14.04 for POV-Ray editing
Date: 3 Jan 2016 11:34:37
Message: <5689074d$1@news.povray.org>
Since I was not poving that much since I updated to Ubuntu 14.04, I 
didn't notice an annoying problem with the default package: it flickers 
a lot when redrawing the window contents as you are editing a file. The 
best solution I found was to remove the default package and then install 
SciTE from sources. Here is a quick how-to of the process:

+ Download the latest sources from here:

   http://www.scintilla.org/SciTEDownload.html

+ Install the GTK2 libraries:

   sudo apt-get install libgtk2.0

+ Then follow the README on the SciTE sources to compile:

   cd scintilla/gtk
   make
   cd ../..

   and then:

   cd scite/gtk
   make
   sudo make install

+ Now, the pov support is disabled by default, so:

   run SciTE as root (sudo SciTE)

   go to Options->Open Global Options file

   remove pov from imports.exclude

   save global options file

+ Also, the existing pov.properties file seems to be missing the part to 
tell SciTE to see pov files as source files:

   run SciTE as root

   go to Options->Edit properties->open pov.properties

   add this line after the file.patterns.pov line:

   *source.patterns.pov=$(file.patterns.pov);

   save pov.properties file and exit

+ Now run it as your regular user and everything should work fine.

--
jaime


Post a reply to this message

Copyright 2003-2008 Persistence of Vision Raytracer Pty. Ltd.